Bug 1273767 - Met "Internal Server Error" when access dancer quickstart
Met "Internal Server Error" when access dancer quickstart
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Templates (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ben Parees
XiuJuan Wang
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 04:09 EDT by XiuJuan Wang
Modified: 2015-11-23 16:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:12:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2015-10-21 04:09:54 EDT
Description of problem:
Met "Internal Server Error" when access dancer quickstart.

Version-Release number of selected component (if applicable):
openshift v3.0.2.901-61-g568adb6
https://github.com/openshift/dancer-ex/
perl-516-rhel7(dddacd1007ae)
perl-520-rhel7(f3ed77ae8490)

How reproducible:
always

Steps to Reproduce:
1.oc new-app openshift/templates/dancer.json 
2.Wait builder image deploy successfully,access app
3.

Actual results:
step2:
$oc  get  pods 
NAME                     READY     STATUS    RESTARTS   AGE
dancer-example-1-6nhq9   1/1       Running   0          52m
dancer-example-1-build   0/1       Error     0          59m
$oc  get svc
NAME             CLUSTER_IP      EXTERNAL_IP   PORT(S)    SELECTOR              AGE
dancer-example   172.30.240.37   <none>        8080/TCP   name=dancer-example   1h
$oc rsh dancer-example-1-6nhq9 
bash-4.2$ curl 172.30.240.37:8080
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>500 Internal Server Error</title>
</head><body>
<h1>Internal Server Error</h1>
<p>The server encountered an internal error or
misconfiguration and was unable to complete
your request.</p>
<p>Please contact the server administrator at 
 root@localhost to inform them of the time this error occurred,
 and the actions you performed just before this error.</p>
<p>More information about this error may be available
in the server error log.</p>
</body></html>
bash-4.2$ 


Expected results:


Additional info:
Comment 1 Ben Parees 2015-10-27 10:59:49 EDT
This should be working now, i cleaned up an issue in the dancer repo.
Comment 2 XiuJuan Wang 2015-10-27 22:46:39 EDT
Test in devenv-fedora_2567 with https://github.com/openshift/dancer-ex/ repo.
Could access dancer quickstart application now.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.